summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrey Sitnik <andrey@sitnik.ru>2015-01-10 15:38:49 +0100
committerAndrey Sitnik <andrey@sitnik.ru>2015-01-10 15:38:49 +0100
commitf997ed7ed8028e400216cfac9bee64b53017e588 (patch)
treece3e8a963b62202371b26c367eb57e1d843d9fca
parentc78277fd8bda5fec87504469afdf121355876006 (diff)
downloadzsh-f997ed7ed8028e400216cfac9bee64b53017e588.tar.gz
zsh-f997ed7ed8028e400216cfac9bee64b53017e588.tar.bz2
zsh-f997ed7ed8028e400216cfac9bee64b53017e588.zip
Add Fedora support for command-not-found plugin
-rw-r--r--plugins/command-not-found/command-not-found.plugin.zsh16
1 files changed, 16 insertions, 0 deletions
diff --git a/plugins/command-not-found/command-not-found.plugin.zsh b/plugins/command-not-found/command-not-found.plugin.zsh
index f3d7ec2df..797554a13 100644
--- a/plugins/command-not-found/command-not-found.plugin.zsh
+++ b/plugins/command-not-found/command-not-found.plugin.zsh
@@ -7,3 +7,19 @@
# Arch Linux command-not-found support, you must have package pkgfile installed
# https://wiki.archlinux.org/index.php/Pkgfile#.22Command_not_found.22_hook
[[ -e /usr/share/doc/pkgfile/command-not-found.zsh ]] && source /usr/share/doc/pkgfile/command-not-found.zsh
+
+# Fedora command-not-found support
+if [ -f /usr/libexec/pk-command-not-found ]; then
+ command_not_found_handler () {
+ runcnf=1
+ retval=127
+ [ ! -S /var/run/dbus/system_bus_socket ] && runcnf=0
+ [ ! -x /usr/libexec/packagekitd ] && runcnf=0
+ if [ $runcnf -eq 1 ]
+ then
+ /usr/libexec/pk-command-not-found $@
+ retval=$?
+ fi
+ return $retval
+ }
+fi